Bug 1418094 - Edit a Subnet failed and throw Unexpected error
Summary: Edit a Subnet failed and throw Unexpected error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: GA
: 5.7.1
Assignee: Tzu-Mainn Chen
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 20:07 UTC by Ido Ovadia
Modified: 2017-02-28 13:50 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 13:50:07 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description Ido Ovadia 2017-01-31 20:07:07 UTC
Description of problem:
=======================
Fail to edit subnet name or GW

got an Unexpected error encountered
undefined method `empty?' for nil:NilClass [cloud_subnet/update]

Version-Release number of selected component:
=============================================
5.7.1.0.20170124142149_8a5f4d5

How reproducible:
=================
100%

Steps to Reproduce:
===================
1. Create a network on overcloud
2. Create a subnet on it 
3. Select the subnet click configuration and 'Edit selected Cloud Subnet'
4. Update Subnet Name and/or Gateway and Save 

Actual results:
===============
Unexpected error encountered
undefined method `empty?' for nil:NilClass [cloud_subnet/update]

Expected results:
=================
Subnet updated successfully

Comment 1 Tzu-Mainn Chen 2017-01-31 22:28:20 UTC
Fixed by https://github.com/ManageIQ/manageiq/pull/12706

Comment 2 Ido Ovadia 2017-02-19 09:55:45 UTC
Verified
========
5.7.1.2


Note You need to log in before you can comment on or make changes to this bug.